Summary:	A tiny replacement for Module::Build
Name:		perl-Module-Build-Tiny
Version:	0.013
Release:	2%{?dist}
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		https://github.com/Leont/module-build-tiny
Source0:	http://cpan.metacpan.org/authors/id/L/LE/LEONT/Module-Build-Tiny-%{version}.tar.gz
BuildArch:	noarch
# Module
BuildRequires:	perl(CPAN::Meta)
BuildRequires:	perl(Exporter) >= 5.57
BuildRequires:	perl(ExtUtils::BuildRC) >= 0.003
BuildRequires:	perl(ExtUtils::Helpers) >= 0.010
BuildRequires:	perl(ExtUtils::Install)
BuildRequires:	perl(ExtUtils::InstallPaths) >= 0.002
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Find::Rule)
BuildRequires:	perl(File::HomeDir)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Slurp)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(Getopt::Long)
BuildRequires:	perl(JSON) >= 2
BuildRequires:	perl(TAP::Harness) >= 3.0
# Test
BuildRequires:	perl(Capture::Tiny)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(File::pushd) >= 1.00
BuildRequires:	perl(IO::File)
BuildRequires:	perl(Test::Exception)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod) >= 1.41
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Many Perl distributions use a Build.PL file instead of a Makefile.PL file to
drive distribution configuration, build, test and installation. Traditionally,
Build.PL uses Module::Build as the underlying build system. This module
provides a simple, lightweight, drop-in replacement.

Whereas Module::Build has over 6,700 lines of code; this module has less than
70, yet supports the features needed by most pure-Perl distributions.

%prep
%setup -q -n Module-Build-Tiny-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

%check
RELEASE_TESTING=1 ./Build test

%files
%doc Changes LICENSE README Todo
%{perl_vendorlib}/Module/
%{_mandir}/man3/Module::Build::Tiny.3pm*

%changelog
* Mon Apr  1 2013 Paul Howarth <paul@city-fan.org> - 0.013-2
- Sanitize for Fedora submission

* Mon Apr  1 2013 Paul Howarth <paul@city-fan.org> - 0.013-1
- Initial RPM version
